% **************************************************************************** %
% Author: Lambert Theisen
% => lambert.theisen@rwth-aachen.de
% => lambert.theisen@gmail.com
% Created: March 2019
% **************************************************************************** %



% TODO:
% - Replace nomenclature
% - make example of this template explaining whole usage



% **************************************************************************** %
% KOMA CLASS SETTINGS
% **************************************************************************** %
  \documentclass[
    fontsize=12pt, % textsize 11pt looks printed nicer with lmodern
    paper=a4, % papersize
    parskip=half, % only skip half of a line for a paragraph
    numbers = dotatend, % dot at of chapter numbering
    footinclude=false, % include foot in margin calculation
    headinclude=true, % include foot in margin calculation
    listof=totoc, % lof and lot => toc
    bibliography=totoc, % bib => toc
    % openright,
    DIV=12, % manually set the div value, BA had 12 at 12pt lmodern
    % DIV=calc, % normally, this has to be done!
    \draftSwitch, % set in main document
    % index=totoc, % don't know what this does
    % twocolumn=true, % have whole document two-column
    % draft, % highlights overfull hboxes, no refs, no images
    % numbers=noenddot, % no dots after section numbering
    BCOR=8mm, % binding correction
    % twoside, % two sided layout for printing
    % twoside=semi, % two sided layout for printing, semi
    \twosideSwitch, % set in main document
    % headsepline, % line under header and footer
  ]{scrbook}
% **************************************************************************** %



% **************************************************************************** %
% MODULE LOADING
% **************************************************************************** %
  \newcommand{\modulesPath}{modules}
% **************************************************************************** %
  \usepackage{\templatePath/\modulesPath/01a-koma-normal}
  \usepackage{\templatePath/\modulesPath/02a-english}
  % \usepackage{\templatePath/\modulesPath/02b-german}
  \usepackage{\templatePath/\modulesPath/03-typeset}
  \usepackage{\templatePath/\modulesPath/04a-font-lmodern}
  % \usepackage{\templatePath/\modulesPath/04b-font-palatino}
  \usepackage{\templatePath/\modulesPath/05-mathematics}
  \usepackage{\templatePath/\modulesPath/06-colors}
  % \usepackage{\templatePath/\modulesPath/07a-bibliography-natbib}
  \usepackage{\templatePath/\modulesPath/07b-bibliography-biblatex}
  \usepackage{\templatePath/\modulesPath/08-graphics}
  \usepackage{\templatePath/\modulesPath/09-floats}
  \usepackage{\templatePath/\modulesPath/10-subcaptions}
  \usepackage{\templatePath/\modulesPath/11-sourcecode}
  % \usepackage{\templatePath/\modulesPath/12-urls}
  \usepackage{\templatePath/\modulesPath/12-index}
  \usepackage{\templatePath/\modulesPath/13-hyperlinks}
  \usepackage{\templatePath/\modulesPath/14-references}
  \usepackage{\templatePath/\modulesPath/15-numbering}
  \usepackage{\templatePath/\modulesPath/16-units}
  \usepackage{\templatePath/\modulesPath/17-comments}
  \usepackage{\templatePath/\modulesPath/18-dirtrees}
  \usepackage{\templatePath/\modulesPath/19-tables}
  \usepackage{\templatePath/\modulesPath/20-algorithms}
  \usepackage{\templatePath/\modulesPath/21-nomenclature}
  \usepackage{\templatePath/\modulesPath/22-misc}
  % \usepackage{\templatePath/\modulesPath/26a-borders-medium}
  % \usepackage{\templatePath/\modulesPath/27-endfloat}
  \usepackage{\templatePath/\modulesPath/28-microtype}
  \usepackage{\templatePath/\modulesPath/29-textpos}
  \usepackage{\templatePath/\modulesPath/30-conditionals-ifthen}
  \usepackage{\templatePath/\modulesPath/31-theoremstyles}

  \usepackage{pgfplots}
  \pgfplotsset{compat=1.8}
% **************************************************************************** %



% **************************************************************************** %
% KOMA CLASS OPTIONS
% **************************************************************************** %

  % -------------------------------------------------------------------------- %
  % RECALCULATE CANON OF PAGE (SATZSPIEGEL)
  % -------------------------------------------------------------------------- %
  % => Needed to have ~ 80 chars per line
  % => Has to be after font loading to account for
  % => DIV=last means use the same DIV as defined in first KOMA settings
  % => DIV can also be manually adjusted looking the calculated value in log!
  % => Use in combination with DIV=calc in above settings to account for font
  % -------------------------------------------------------------------------- %
    \KOMAoptions{DIV=last}
  % -------------------------------------------------------------------------- %

% **************************************************************************** %
